
Foreman - Feature #813

Support AD group membership for authorization and authentication

03/31/2011 04:30 AM - Marcello de Sousa

Status: Closed   

Priority: Low   

Assignee: Daniel Lobato Garcia   

Category: Users, Roles and Permissions   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 710189 Red Hat JIRA:  

Pull request:    

Description

We are now using Foreman with ldap to connect with AD users. Those users are members of specific AD usergroups.

Allow managing users in Active directory groups and assigning Foreman rights directly to these AD groups (like we are able to do

with AD users now) would avoid the overhead of having to manage those users again in Foreman usergroups.

Related issues:

Related to Foreman - Feature #863: add ability to restrict ldap authenticatio... Closed 04/22/2011

Related to Foreman - Feature #1583: Assign roles and filters to usergroups Closed 04/20/2012

Related to Foreman - Feature #812: cant assign roles to groups, just to users Closed 03/31/2011

Related to Foreman - Feature #3892: When new users are created based on REMOT... Closed 10/28/2013

Related to Foreman - Bug #7003: Unable to connect to AD through ldap login mo... Closed 08/08/2014

Blocked by Foreman - Feature #5241: Add support for external group mapping Closed 04/18/2014

Associated revisions

Revision 6421fa1c - 07/31/2014 10:35 AM - Daniel Lobato Garcia

Fixes #813 - External usergroups can be linked to an LDAP auth source

Revision ba2910a9 - 07/31/2014 11:41 AM - Daniel Lobato Garcia

refs #813 - add foreman external usergroups refresh to cron

Revision 70b6e8b6 - 07/31/2014 11:41 AM - Dominic Cleal

refs #813 - add ldap_fluff dependency

Revision b8e0ff40 - 08/01/2014 04:03 AM - Lukas Zapletal

Merge pull request #265 from domcleal/rpm/develop-813-ldap_fluff

refs #813 - LDAP group support changes

History

#1 - 04/12/2011 07:25 AM - Ohad Levy

- Target version deleted (0.3)

#2 - 10/31/2013 12:22 PM - Ohad Levy

- Related to Feature #812: cant assign roles to groups, just to users added

#3 - 11/21/2013 01:46 PM - Dominic Cleal

- Description updated

- Status changed from New to Ready For Testing

- Assignee set to Marek Hulán

- Target version set to 1.10.0
#4 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#5 - 01/09/2014 02:12 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2

#6 - 02/06/2014 12:12 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#7 - 02/25/2014 09:53 AM - Dominic Cleal

- Assignee changed from Marek Hulán to Daniel Lobato Garcia

#8 - 03/03/2014 12:48 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#9 - 03/11/2014 11:39 AM - Dominic Cleal

- Related to Feature #3892: When new users are created based on REMOTE_USER authentication, their roles should be populated as well added

#10 - 03/26/2014 12:58 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#11 - 04/18/2014 08:31 AM - Jan Pazdziora

- Blocked by Feature #5241: Add support for external group mapping added

#12 - 04/24/2014 10:21 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#13 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#14 - 04/24/2014 10:24 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#15 - 05/15/2014 01:47 PM - Marek Hulán

- Blocks Feature #5734: Add API for external groups management added

#16 - 05/19/2014 12:41 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#17 - 06/04/2014 01:44 PM - Dominic Cleal

- Blocks deleted (Feature #5734: Add API for external groups management)

#18 - 06/11/2014 02:57 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#19 - 07/07/2014 07:19 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#20 - 07/24/2014 04:49 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#21 - 07/30/2014 06:48 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5
#22 - 07/31/2014 11:01 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6421fa1ca91743085dd5460a82db37388d520638.

#23 - 08/11/2014 03:48 AM - Dominic Cleal

- Related to Bug #7003: Unable to connect to AD through ldap login module added

#24 - 09/11/2014 08:57 AM - Stephen Benjamin

- Bugzilla link set to 1140658

#25 - 11/06/2014 11:18 AM - Bryan Kearney

- Bugzilla link changed from 1140658 to 710189
